Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022522
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2012-12-11 17:172013-02-01 22:28
ReporterngarciaView Statuspublic 
Assigned ToAugustoMauch 
PriorityhighResolutionfixedFixed in Version3.0MP20
StatusclosedFix in branchFixed in SCM revision4c1fdc3c495d
ProjectionnoneETAnoneTarget Version3.0MP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022522: In Pick&Execute windows a removed selection appears when sorting the columns

DescriptionIn Pick&Execute windows a removed selection appears when sorting the columns. The line has been selected in a previous transaction (its ob_selected column is marked as Y)
Steps To ReproduceAs group admin role:
   Go to Payment Proposal window and create a new record
   Click on the Select Expected Payments button
   Select a line and Submit
   Click on the Select Expected Payments button again
   Notice that the previous selected line remains selected
   Unmark its checkbox
   Order the lines by clicking on a column
   Notice that the line appears selected again
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00224153.0MP20 closedAugustoMauch Error when splitting Payment Plan in more than 2 lines 
depends on defect 00225213.0MP20 closedAugustoMauch In Pick&Execute windows the selection is removed when sorting the columns 
related to defect 00287123.0PR15Q2 closedalostale Records selection is lost in pick and execute window under some circumnstances 

-  Notes
(0055779)
AugustoMauch (developer)
2013-01-23 18:21

On the dataArrived method of the ob-pick-and-execute-grid.js file, when the data is received from the datasource all those lines that come with the selectionProperty property set to true are selected.

The problem is that if one of those lines is unchecked and the grid is filtered, that line will be checked again.

To fix this, a list of the unchecked lines could be created, so if a line is unchecked it won't be re-checked when the grid is filtered
(0055905)
hgbot (developer)
2013-01-28 12:24

Repository: erp/devel/pi
Changeset: cc72a8879a127b42419337b01731fafeb564eabf
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Jan 28 12:20:13 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cc72a8879a127b42419337b01731fafeb564eabf [^]

Fixes issue 22522: In P&E unselected records remain unselected after sorting

Before this fix, if a record was originally selected when a P&E window was opened, if it was deselected and a column sorted, the record was marked as selected again. This has been achieved by keeping a list that contains all the deselected records. When the data is reloaded, it a record is present in this list, it will not be marked as selected.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0055929)
alostale (developer)
2013-01-29 08:22

Visually it is working correctly but the actual selection is not correct.

-Go to Return to Customer
-Create new record
-In P&E select one line
-Open P&E again and reorder, selection is still kept -> OK
-Click submit button: no selection is sent to backend so line is deleted from document -> ERROR
(0055943)
hgbot (developer)
2013-01-29 12:41

Repository: erp/devel/pi
Changeset: 4c1fdc3c495d1e8342b7ba9a87ed82b1469599bb
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Jan 29 12:40:45 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4c1fdc3c495d1e8342b7ba9a87ed82b1469599bb [^]

Fixes issue 22522: In P&E windows, lines are not removed after sorting the grid

The correct way to retrieve the edited record corresponding with the record selection[i] is by using grid.getRecordIndex(selection[i]), and not grid.getEdited
Record(i). The previous way did not work if the grid was sorted after selecting the lines.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
---
(0055982)
alostale (developer)
2013-01-31 07:55

code reviewed + verified in pi@bcabcc4c3b37
(0056068)
hudsonbot (developer)
2013-02-01 22:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test
(0056079)
hudsonbot (developer)
2013-02-01 22:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-12-11 17:17 ngarcia New Issue
2012-12-11 17:17 ngarcia Assigned To => AugustoMauch
2012-12-11 17:17 ngarcia Modules => Core
2012-12-11 17:17 ngarcia Triggers an Emergency Pack => No
2012-12-11 17:17 ngarcia Issue Monitored: networkb
2012-12-11 17:18 ngarcia Relationship added related to 0022521
2013-01-23 18:21 AugustoMauch Note Added: 0055779
2013-01-23 18:25 AugustoMauch Relationship deleted related to 0022521
2013-01-23 18:26 AugustoMauch Relationship added depends on 0022521
2013-01-28 12:23 AugustoMauch Issue Monitored: alostale
2013-01-28 12:23 AugustoMauch Review Assigned To => alostale
2013-01-28 12:24 hgbot Checkin
2013-01-28 12:24 hgbot Note Added: 0055905
2013-01-28 12:24 hgbot Status new => resolved
2013-01-28 12:24 hgbot Resolution open => fixed
2013-01-28 12:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cc72a8879a127b42419337b01731fafeb564eabf [^]
2013-01-29 08:22 alostale Note Added: 0055929
2013-01-29 08:22 alostale Status resolved => new
2013-01-29 08:22 alostale Resolution fixed => open
2013-01-29 12:03 AugustoMauch Relationship added related to 0022415
2013-01-29 12:41 hgbot Checkin
2013-01-29 12:41 hgbot Note Added: 0055943
2013-01-29 12:41 hgbot Status new => resolved
2013-01-29 12:41 hgbot Resolution open => fixed
2013-01-29 12:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/cc72a8879a127b42419337b01731fafeb564eabf [^] => http://code.openbravo.com/erp/devel/pi/rev/4c1fdc3c495d1e8342b7ba9a87ed82b1469599bb [^]
2013-01-31 07:55 alostale Note Added: 0055982
2013-01-31 07:55 alostale Status resolved => closed
2013-01-31 07:55 alostale Fixed in Version => 3.0MP20
2013-02-01 22:28 hudsonbot Checkin
2013-02-01 22:28 hudsonbot Note Added: 0056068
2013-02-01 22:28 hudsonbot Checkin
2013-02-01 22:28 hudsonbot Note Added: 0056079
2015-02-23 09:42 alostale Relationship added related to 0028712


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker